#include <iostream>
using namespace std;
int main()
{
    int N,K;
    cin >> N >> K;
    int a[N];
    int x=0;
    int y=0;
    bool a1 = false;
    bool a2 = false;
    for(int i =0;i<N;i++){
        cin >> a[i];
    }
    for(int i =0;i<K-1;i++){
        if(a[y]>=a[N-1]){
            a[N-1] = a[N-1]-a[y];
            y++;
            a1 = false;
        }
        if(a[N-1]>a[y]){
            a[y] = a[y]-a[N-1];
            N--;
            a1 = true;
        }

    }
    if(a1==true){
        cout << a[y]*-1;
    } if(a1==false){
        cout << a[N-1]*-1;
    }

    return 0;
}